# This file created by conda-build 3.22.0
# meta.yaml template originally from:
# C:\b\abs_48au86yzp2\clone\recipe, last modified Mon Nov 14 15:37:06 2022
# ------------------------------------------------

package:
  name: mypy
  version: '0.981'
source:
  sha256: ad77c13037d3402fbeffda07d51e3f228ba078d1c7096a73759c9419ea031bf4
  url: https://pypi.io/packages/source/m/mypy/mypy-0.981.tar.gz
build:
  entry_points:
    - dmypy = mypy.dmypy.client:console_entry
    - mypy = mypy.__main__:console_entry
    - stubgen = mypy.stubgen:main
    - stubtest = mypy.stubtest:main
  number: '0'
  script: C:\\b\\abs_48au86yzp2\\croot\\mypy_1668440244614\\_h_env\\python.exe -m
    pip install . -vv
  string: py310haa95532_0
requirements:
  host:
    - bzip2 1.0.8 he774522_0
    - ca-certificates 2022.10.11 haa95532_0
    - certifi 2022.9.24 py310haa95532_0
    - libffi 3.4.2 hd77b12b_4
    - openssl 1.1.1s h2bbff1b_0
    - pip 22.2.2 py310haa95532_0
    - python 3.10.6 hbb2ffb3_1
    - setuptools 65.5.0 py310haa95532_0
    - sqlite 3.39.3 h2bbff1b_0
    - tk 8.6.12 h2bbff1b_0
    - tzdata 2022f h04d1e81_0
    - vc 14.2 h21ff451_1
    - vs2015_runtime 14.27.29016 h5e58377_2
    - wheel 0.37.1 pyhd3eb1b0_0
    - wincertstore 0.2 py310haa95532_2
    - xz 5.2.6 h8cc25b3_0
    - zlib 1.2.13 h8cc25b3_0
  run:
    - mypy_extensions >=0.4.3,<2
    - psutil >=4.0
    - python >=3.10,<3.11.0a0
    - toml
    - tomli >=1.1.0
    - typing_extensions >=3.10
test:
  commands:
    - pip check
    - mypy --help
    - stubgen --help
    - dmypy --help
    - stubtest --help
  imports:
    - mypy
    - mypy.dmypy
    - mypy.plugins
    - mypy.server
  requires:
    - pip
about:
  description: 'Add type annotations to your Python programs, and use mypy to type
    check

    them. Mypy is essentially a Python linter on steroids, and it can catch

    many programming errors by analyzing your program, withoutactually having

    to run it.  Mypy has a powerful type system with features such as type

    inference, gradual typing, generics and union types.

    '
  dev_url: https://github.com/python/mypy
  doc_url: https://mypy.readthedocs.io
  home: http://www.mypy-lang.org/
  license: MIT
  license_family: MIT
  license_file: LICENSE
  summary: Optional static typing for Python
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 48147b45-16b7-490a-8470-aae91dd05b73
  recipe-maintainers:
    - nehaljwani
    - ocefpaf
  remote_url: git@github.com:AnacondaRecipes/mypy-feedstock.git
  sha: c39b096998ab5121bb4d7c3cbd50e4141d3f0c01
